<?php 
session_start();
//Send a generated image to the browser 
create_image(); 
exit(); 
function create_image() 
{ 
    //Let's generate a totally random string using md5 
    $md5 = md5(rand(0,999)); 
    //We don't need a 32 character long string so we trim it down to 5 
    $pass = substr($md5,10, 6); 
    $_SESSION['code1'] = $pass;
    //Set the image width and height 
    $width = 100; 
    $height = 30;  
    //Create the image resource 
    $image = ImageCreate($width, $height);  
    //We are making three colors, white, black and gray 
    $white = ImageColorAllocate($image, 255, 255, 255); 
    $black = ImageColorAllocate($image,0,0,0); 
    $grey = ImageColorAllocate($image,204,204,204); 
    $blue = ImageColorAllocate($image, 0, 0, 204);
    $another = ImageColorAllocate($image, 26,42,66);
    //Make the background black 
    ImageFill($image, 0, 0, $another); 
    //Add randomly generated string in white to the image
    ImageString($image, 10,25, 8,$pass,$white); 
    //Throw in some lines to make it a little bit harder for any bots to break 
    ImageRectangle($image,0,0,$width-1,$height-1, $black); 
    imageline($image, 0, $height/2, $width, $height/2, $black); 
    imageline($image, $width/2, 1, $width/2, $height, $black); 
    imageline($image, $width/2, 2, $width/2, $height, $black); 

    //Tell the browser what kind of file is come in 
    header("Content-Type: image/jpeg"); 
    //Output the newly created image in jpeg format 
    ImageJpeg($image); 
    
    //Free up resources
    ImageDestroy($image); 
} 
?>